set terminal postscript eps color 'Times,24'
set output "efficiency1.eps"
set xrange [0:32]
set yrange [0:300]
set xlabel "Core Count"
set ylabel "Cost of Iteration (us)"
set key top left
set key maxrows 3
set key width -2
load 'plots/settings.gpi'
plot\
 "data/threadtest-exp3-libfiber.dat" using 1:((($4+$6)*1000000)/$2) title "Libfiber" ls 8, \
 "data/threadtest-exp3-qthreads.dat" using 1:((($4+$6)*1000000)/$2) title "Qthreads" ls 10,\
 "data/threadtest-exp3-fibre.dat" using 1:((($4+$6)*1000000)/$2) title "Fred" ls 3,\
 "data/threadtest-exp3-pthreads.dat" using 1:((($4+$6)*1000000)/$2) title "Pthread" ls 5,\
 "data/threadtest-exp3-go.dat" using 1:((($4+$6)*1000000)/$2) title "Go" ls 4,\
 "data/threadtest-exp3-boost.dat" using 1:((($4+$6)*1000000)/$2) title "Boost" ls 7,\
 "data/threadtest-exp3-arachneS.dat" using 1:((($4+$6)*1000000)/$2) title "ArachneSpin" ls 1 dt 2,\
 "data/threadtest-exp3-arachne.dat" using 1:((($4+$6)*1000000)/$2) title "Arachne" ls 1,\
 "data/threadtest-exp3-mordor.dat" using 1:((($4+$6)*1000000)/$2) title "Mordor" ls 9, \
 "data/threadtest-exp3-upp.dat" using 1:((($4+$6)*1000000)/$2) title "uC++" ls 6
set output
