set terminal postscript eps color 'Times,24'

single=1
if (single == 0) {
	set output "memcached1.eps"
	set size 3,1
	set multiplot
}

set xrange [0:*]
set xlabel "Cores"

load 'plots/settings.gpi'

afile=system("ls data/memcached-exp1-arachne-??.dat")
ffile=system("ls data/memcached-exp1-fibre-??.dat")
sfile=system("ls data/memcached-exp1-sharedq-??.dat")
pfile=system("ls data/memcached-exp1-pthreads-??.dat")
vfile=system("ls data/memcached-exp1-vanilla-??.dat")

if (single == 0) {
	set size 1,1
	set origin 0,0
} else {
	set output "memcached1.eps"
}
set yrange [0:*]
set ylabel "Query Throughput (x1000/sec)"
set key top left Left reverse
plot\
 ffile using 1:(($2)/1000) title "Fred" ls 3,\
 vfile using 1:(($2)/1000) title "Vanilla" ls 2,\
 pfile using 1:(($2)/1000) title "Pthread" ls 5,\
 afile using 1:(($2)/1000) title "Arachne" ls 1,\
 sfile using 1:(($2)/1000) title "Fred (shared RQ)" ls 3 pt 12

if (single == 1) {
	exit
}

if (single == 0) {
	set size 1,1
	set origin 1,0
} else {
	set output
	set output "memcached1-3.eps"
}
set yrange [0:*]
set ylabel "Read Latency (ms)"
set key maxrows 4
set key right top
set key width -2
plot\
 afile using 1:(($6)/1000) notitle ls 1 dt 1,\
 pfile using 1:(($6)/1000) notitle ls 5 dt 1,\
 ffile using 1:(($6)/1000) notitle ls 3 dt 1,\
 vfile using 1:(($6)/1000) notitle ls 2 dt 1,\
 afile using 1:(($10)/1000) notitle ls 1 dt 2,\
 pfile using 1:(($10)/1000) notitle ls 5 dt 2,\
 ffile using 1:(($10)/1000) notitle ls 3 dt 2,\
 vfile using 1:(($10)/1000) notitle ls 2 dt 2,\
 NaN with lines title "99th pctl" lt rgb 'black' dt 2,\
 NaN with lines title "50th pctl" lt rgb 'black' dt 1,\
 NaN with lines title " " lt rgb 'white',\
 NaN with lines title " " lt rgb 'white',\
 NaN with points title "Arachne" ls 1 dt 1,\
 NaN with points title "Pthread" ls 5 dt 1,\
 NaN with points title "Fred" ls 3 dt 1,\
 NaN with points title "Vanilla" ls 2 dt 1

if (single == 0) {
	set size 1,1
	set origin 2,0
} else {
	set output
	set output "memcached1-2.eps"
}
set yrange [0:*]
set ylabel "Effective CPU Usage (cores)"
set key top left
plot\
 afile using 1:4 title "Arachne" ls 1,\
 pfile using 1:4 title "Pthread" ls 5,\
 ffile using 1:4 title "Fred" ls 3,\
 vfile using 1:4 title "Vanilla" ls 2

if (single == 0) {
	set nomultiplot
}
set output
