set terminal postscript eps color 'Times,24'
set output "performance1.eps"
set xrange [0:40]
set yrange [0:10]
set xlabel "Duration of Each Work Unit (us)"
set ylabel "Throughput x10^7 (32 Cores)"
#set key bottom right spacing 0.8
#set key at 40,5.75
set key top right
#set key maxrows 3
set key width -2
load 'plots/settings.gpi'
plot\
 "data/threadtest-exp2-libfiber.dat" using 1:($8/1000000) title "Libfiber" ls 8,\
 "data/threadtest-exp2-qthreads.dat" using 1:($8/1000000) title "Qthreads" ls 10,\
 "data/threadtest-exp2-fibre.dat" using 1:($8/1000000) title "Fred" ls 3,\
 "data/threadtest-exp2-pthreads.dat" using 1:($8/1000000) title "Pthread" ls 5,\
 "data/threadtest-exp2-go.dat" using 1:($8/1000000) title "Go" ls 4,\
 "data/threadtest-exp2-boost.dat" using 1:($8/1000000) title "Boost" ls 7,\
 "data/threadtest-exp2-arachneS.dat" using 1:($8/1000000) title "ArachneSpin" ls 1 dt 2,\
 "data/threadtest-exp2-arachne.dat" using 1:($8/1000000) title "Arachne" ls 1,\
 "data/threadtest-exp2-mordor.dat" using 1:($8/1000000) title "Mordor" ls 9,\
 "data/threadtest-exp2-upp.dat" using 1:($8/1000000) title "uC++" ls 6
set output
