#!/bin/bash
function extract() {
	[ -f $1.$2.1 ] || return
	qps=$(fgrep "Total QPS" $1.$2.*|avg.sh 4|cut -f2,4 -d' ')
	rlat50=$(fgrep "read " $1.$2.*|avg.sh 7|cut -f2,4 -d' ')
	rlat99=$(fgrep "read " $1.$2.*|avg.sh 10|cut -f2,4 -d' ')
	wlat50=$(fgrep "update " $1.$2.*|avg.sh 7|cut -f2,4 -d' ')
	wlat99=$(fgrep "update " $1.$2.*|avg.sh 10|cut -f2,4 -d' ')
	echo $2 $qps $rlat50 $rlat99 $wlat50 $wlat99
}

mkdir -p data
for d in red-1404-rx8 redrfs-1404-rx8 red-1604-rx8 redrfs-1604-rx8 red-1604-rx16 redrfs-1604-rx16 redx5 redx10; do
	for t in vanilla vanillaA fibre fibreA pthread arachne; do
		[ -f $d/$t.100000.1 ] || continue
		echo $d/$t
		for ((rate=100000;rate<=2000000;rate+=100000)); do
			extract $d/$t $rate
		done > data/$d-$t.dat
#		case $t in
#			pthread|arachne|vanilla) ;;
#			*) extract $d/$t warmup >> data/$d-$t.dat;;
#		esac
	done
done
